


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: ClasaRepositoryMock</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">note.repository</a> ]
</div>

<h1>Coverage Summary for Class: ClasaRepositoryMock (note.repository)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">ClasaRepositoryMock</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    66.7%
  </span>
  <span class="absValue">
    (4/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    38%
  </span>
  <span class="absValue">
    (30/ 79)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package note.repository;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import note.model.Corigent;
<i>4</i>&nbsp;import note.model.Elev;
<i>5</i>&nbsp;import note.model.Medie;
<i>6</i>&nbsp;import note.model.Nota;
<i>7</i>&nbsp;import note.utils.ClasaException;
<i>8</i>&nbsp;import note.utils.Constants;
<i>9</i>&nbsp;
<i>10</i>&nbsp;import java.util.ArrayList;
<i>11</i>&nbsp;import java.util.HashMap;
<i>12</i>&nbsp;import java.util.LinkedList;
<i>13</i>&nbsp;import java.util.List;
<i>14</i>&nbsp;
<i>15</i>&nbsp;public class ClasaRepositoryMock implements ClasaRepository {
<i>16</i>&nbsp;
<i>17</i>&nbsp;    private HashMap&lt;Elev, HashMap&lt;String, List&lt;Double&gt;&gt;&gt; clasa;
<i>18</i>&nbsp;
<b class="fc"><i>19</i>&nbsp;    public ClasaRepositoryMock() {</b>
<b class="fc"><i>20</i>&nbsp;        clasa = new HashMap&lt;Elev, HashMap&lt;String, List&lt;Double&gt;&gt;&gt;();</b>
<b class="fc"><i>21</i>&nbsp;    }</b>
<i>22</i>&nbsp;
<i>23</i>&nbsp;    //	@Override
<i>24</i>&nbsp;    public void creazaClasa(List&lt;Elev&gt; elevi, List&lt;Nota&gt; note) {
<i>25</i>&nbsp;        // TODO Auto-generated method stub
<b class="fc"><i>26</i>&nbsp;        List&lt;String&gt; materii = new LinkedList&lt;String&gt;();</b>
<b class="fc"><i>27</i>&nbsp;        for (Nota nota : note) {</b>
<b class="nc"><i>28</i>&nbsp;            if (!materii.contains(nota.getMaterie()))</b>
<b class="nc"><i>29</i>&nbsp;                materii.add(nota.getMaterie());</b>
<b class="nc"><i>30</i>&nbsp;        }</b>
<b class="fc"><i>31</i>&nbsp;        for (Elev elev : elevi) {</b>
<b class="fc"><i>32</i>&nbsp;            HashMap&lt;String, List&lt;Double&gt;&gt; situatie = new HashMap&lt;String, List&lt;Double&gt;&gt;();</b>
<b class="fc"><i>33</i>&nbsp;            for (String materie : materii) {</b>
<b class="nc"><i>34</i>&nbsp;                List&lt;Double&gt; noteMaterie = new LinkedList&lt;Double&gt;();</b>
<b class="nc"><i>35</i>&nbsp;                for (Nota nota : note)</b>
<b class="nc"><i>36</i>&nbsp;                    if (nota.getMaterie().equals(materie) &amp;&amp; nota.getNrmatricol() == elev.getNrmatricol())</b>
<b class="nc"><i>37</i>&nbsp;                        noteMaterie.add(nota.getNota());</b>
<b class="nc"><i>38</i>&nbsp;                situatie.put(materie, noteMaterie);</b>
<b class="nc"><i>39</i>&nbsp;            }</b>
<b class="fc"><i>40</i>&nbsp;            clasa.put(elev, situatie);</b>
<b class="fc"><i>41</i>&nbsp;        }</b>
<b class="fc"><i>42</i>&nbsp;    }</b>
<i>43</i>&nbsp;
<i>44</i>&nbsp;    //	@Override
<i>45</i>&nbsp;    public HashMap&lt;Elev, HashMap&lt;String, List&lt;Double&gt;&gt;&gt; getClasa() {
<i>46</i>&nbsp;        // TODO Auto-generated method stub
<b class="fc"><i>47</i>&nbsp;        return clasa;</b>
<i>48</i>&nbsp;    }
<i>49</i>&nbsp;
<i>50</i>&nbsp;    public List&lt;Medie&gt; calculeazaMedii() throws ClasaException {
<b class="fc"><i>51</i>&nbsp;        List&lt;Medie&gt; medii = new LinkedList&lt;&gt;();</b>
<b class="fc"><i>52</i>&nbsp;        if (clasa.size() &lt;= 0) {</b>
<b class="fc"><i>53</i>&nbsp;            throw new ClasaException(Constants.emptyRepository);</b>
<i>54</i>&nbsp;        }
<b class="fc"><i>55</i>&nbsp;        for (Elev elev : clasa.keySet()) {</b>
<b class="fc"><i>56</i>&nbsp;            double sumaMedii = 0;</b>
<b class="fc"><i>57</i>&nbsp;            for (String materie : clasa.get(elev).keySet()) {</b>
<b class="fc"><i>58</i>&nbsp;                List&lt;Double&gt; noteElev = clasa.get(elev).get(materie);</b>
<b class="fc"><i>59</i>&nbsp;                double suma = 0;</b>
<b class="fc"><i>60</i>&nbsp;                for (double nota : noteElev) {</b>
<b class="fc"><i>61</i>&nbsp;                    suma += nota;</b>
<b class="fc"><i>62</i>&nbsp;                }</b>
<b class="fc"><i>63</i>&nbsp;                if (noteElev.size() != 0) {</b>
<b class="fc"><i>64</i>&nbsp;                    sumaMedii += suma / noteElev.size();</b>
<i>65</i>&nbsp;                }
<b class="fc"><i>66</i>&nbsp;            }</b>
<b class="fc"><i>67</i>&nbsp;            if (clasa.get(elev).keySet().size() != 0) {</b>
<b class="fc"><i>68</i>&nbsp;                medii.add(new Medie(elev, sumaMedii / clasa.get(elev).keySet().size()));</b>
<i>69</i>&nbsp;            }
<b class="fc"><i>70</i>&nbsp;        }</b>
<b class="fc"><i>71</i>&nbsp;        return medii;</b>
<i>72</i>&nbsp;    }
<i>73</i>&nbsp;
<i>74</i>&nbsp;    public void afiseazaClasa() {
<b class="nc"><i>75</i>&nbsp;        for (Elev elev : clasa.keySet()) {</b>
<b class="nc"><i>76</i>&nbsp;            System.out.println(elev);</b>
<b class="nc"><i>77</i>&nbsp;            for (String materie : clasa.get(elev).keySet()) {</b>
<b class="nc"><i>78</i>&nbsp;                System.out.print(&quot; -&gt; &quot; + materie + &quot; &quot;);</b>
<b class="nc"><i>79</i>&nbsp;                for (double nota : clasa.get(elev).get(materie))</b>
<b class="nc"><i>80</i>&nbsp;                    System.out.print(nota + &quot; &quot;);</b>
<b class="nc"><i>81</i>&nbsp;                System.out.println(&quot;&quot;);</b>
<b class="nc"><i>82</i>&nbsp;            }</b>
<b class="nc"><i>83</i>&nbsp;        }</b>
<b class="nc"><i>84</i>&nbsp;    }</b>
<i>85</i>&nbsp;
<i>86</i>&nbsp;    //	@Override
<i>87</i>&nbsp;    public List&lt;Corigent&gt; getCorigenti() {
<b class="nc"><i>88</i>&nbsp;        List&lt;Corigent&gt; corigenti = new ArrayList&lt;Corigent&gt;();</b>
<b class="nc"><i>89</i>&nbsp;        if (clasa.size() &gt; 0) {</b>
<b class="nc"><i>90</i>&nbsp;            for (Elev elev : clasa.keySet()) {</b>
<b class="nc"><i>91</i>&nbsp;                Corigent corigent = new Corigent(elev.getNume(), 0);</b>
<b class="nc"><i>92</i>&nbsp;                for (String materie : clasa.get(elev).keySet()) {</b>
<b class="nc"><i>93</i>&nbsp;                    List&lt;Double&gt; noteElev = clasa.get(elev).get(materie);</b>
<b class="nc"><i>94</i>&nbsp;                    int nrNote = noteElev.size();</b>
<b class="nc"><i>95</i>&nbsp;                    int i = 0;</b>
<b class="nc"><i>96</i>&nbsp;                    double suma = 0;</b>
<b class="nc"><i>97</i>&nbsp;                    if (nrNote &gt; 0) {</b>
<b class="nc"><i>98</i>&nbsp;                        while (i &lt; nrNote) {</b>
<b class="nc"><i>99</i>&nbsp;                            double nota = noteElev.get(i);</b>
<b class="nc"><i>100</i>&nbsp;                            suma += nota;</b>
<b class="nc"><i>101</i>&nbsp;                            i++;</b>
<b class="nc"><i>102</i>&nbsp;                        }</b>
<b class="nc"><i>103</i>&nbsp;                        double media = suma / i;</b>
<b class="nc"><i>104</i>&nbsp;                        if (media &lt;= 4.5)</b>
<b class="nc"><i>105</i>&nbsp;                            corigent.setNrMaterii(corigent.getNrMaterii() + 1);</b>
<i>106</i>&nbsp;                    }
<b class="nc"><i>107</i>&nbsp;                }</b>
<b class="nc"><i>108</i>&nbsp;                if (corigent.getNrMaterii() &gt; 0) {</b>
<b class="nc"><i>109</i>&nbsp;                    int i = 0;</b>
<b class="nc"><i>110</i>&nbsp;                    while (i &lt; corigenti.size() &amp;&amp; corigenti.get(i).getNrMaterii() &lt; corigent.getNrMaterii())</b>
<b class="nc"><i>111</i>&nbsp;                        i++;</b>
<b class="nc"><i>112</i>&nbsp;                    if (i != corigenti.size() &amp;&amp; corigenti.get(i).getNrMaterii() == corigent.getNrMaterii()) {</b>
<b class="nc"><i>113</i>&nbsp;                        while (i &lt; corigenti.size() &amp;&amp; corigenti.get(i).getNrMaterii() == corigent.getNrMaterii() &amp;&amp; corigenti.get(i).getNumeElev().compareTo(corigent.getNumeElev()) &lt; 0)</b>
<b class="nc"><i>114</i>&nbsp;                            i++;</b>
<b class="nc"><i>115</i>&nbsp;                        corigenti.add(i, corigent);</b>
<i>116</i>&nbsp;                    } else
<b class="nc"><i>117</i>&nbsp;                        corigenti.add(i, corigent);</b>
<i>118</i>&nbsp;                }
<b class="nc"><i>119</i>&nbsp;            }</b>
<i>120</i>&nbsp;        }
<b class="nc"><i>121</i>&nbsp;        return corigenti;</b>
<i>122</i>&nbsp;    }
<i>123</i>&nbsp;
<i>124</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2018-04-25 16:19</div>
</div>
</body>
</html>
